> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/inquiry-sessions/list-all-inquiry-sessions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Inquiry Sessions GET https://api.withpersona.com/api/v1/inquiry-sessions Retrieves a list of Inquiry Sessions. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/inquiry-sessions/list-all-inquiry-sessions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `filter` (InquirySessionsGetParametersFilter, optional) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Inquiry Session objects. - `data` (list of inquiry-session, required) - `links` (InquirySessionsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of InquirySessionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of InquirySessionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of InquirySessionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of InquirySessionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### InquirySessionsGetParametersFilter - `inquiry-id` (string, optional) — Filter inquiry sessions by inquiry ID ### inquiry-session - `id` (string, optional) - `attributes` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionAttributes, optional) - `relationships` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationships, optional) ### InquirySessionsGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) - `next` (string, required, nullable) ### InquirySessionsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionAttributes - `status` (string, optional) — Possible values: - new - active - expired Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `created-at` (datetime, optional) - `started-at` (datetime, optional, nullable) - `expired-at` (datetime, optional, nullable) - `ip-address` (string, optional, nullable) - `user-agent` (string, optional, nullable) - `os-name` (string, optional, nullable) - `os-full-version` (string, optional, nullable) - `device-type` (string, optional, nullable) - `device-name` (string, optional, nullable) - `browser-name` (string, optional, nullable) - `browser-full-version` (string, optional, nullable) - `mobile-sdk-name` (string, optional, nullable) - `mobile-sdk-full-version` (string, optional, nullable) - `device-handoff-method` (string, optional, nullable) - `is-proxy` (boolean, optional, nullable) - `is-tor` (boolean, optional, nullable) - `is-datacenter` (boolean, optional, nullable) - `is-vpn` (boolean, optional, nullable) - `threat-level` (string, optional, nullable) - `country-code` (string, optional, nullable) - `country-name` (string, optional, nullable) - `region-code` (string, optional, nullable) - `region-name` (string, optional, nullable) - `latitude` (double, optional, nullable) - `longitude` (double, optional, nullable) - `gps-latitude` (double, optional, nullable) - `gps-longitude` (double, optional, nullable) - `gps-precision` (string, optional, nullable) - `gps-country-code` (string, optional, nullable) — ISO 3166-1 alpha-2 country code stored from the session's GPS coordinates. Null when it has not been stored, including for sessions created before this value existed; null does not mean a GPS country cannot be derived. - `ip-connection-type` (string, optional, nullable) - `ip-isp` (string, optional, nullable) - `network-organization` (string, optional, nullable) - `browser-fingerprint` (string, optional, nullable, deprecated) — (DEPRECATED) Use `browser-fingerprint` from the session's device relationship instead. ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationships - `inquiry` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsInquiry, optional) - `device` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsDevice, optional) - `network` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsNetwork, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsInquiry - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsInquiryData, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsDevice - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsDeviceData, optional, nullable) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsNetwork - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsNetworkData, optional, nullable) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsInquiryData - `type` ("inquiry", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsDeviceData - `type` ("device", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingInquirySessionRelationshipsNetworkData - `type` ("network", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": [ { "id": "iqse_ABC123", "attributes": { "status": "expired", "created-at": "2023-07-25T04:15:20.000Z", "started-at": "2023-07-25T05:14:50.000Z", "expired-at": "2023-07-26T05:14:50.000Z", "ip-address": "127.0.0.1", "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36", "os-name": "Mac", "os-full-version": "10.15.7", "device-type": "desktop", "device-name": null, "browser-name": "Chrome", "browser-full-version": "115.0.0.0", "mobile-sdk-name": null, "mobile-sdk-full-version": null, "device-handoff-method": null, "is-proxy": false, "is-tor": false, "is-datacenter": false, "is-vpn": false, "threat-level": "low", "country-code": "US", "country-name": "United States", "region-code": "CA", "region-name": "California", "latitude": 37.7688, "longitude": -122.262, "gps-latitude": null, "gps-longitude": null, "gps-precision": null, "gps-country-code": null }, "relationships": { "inquiry": { "data": { "type": "inquiry", "id": "inq_ABC123" } }, "device": { "data": { "type": "device", "id": "dev_ABC123" } } }, "type": "inquiry-session" } ], "links": { "prev": null, "next": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/inquiry-sessions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/inquiry-sessions'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/inquiry-sessions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/inquiry-sessions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/inquiry-sessions") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/inquiry-sessions', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/inquiry-sessions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/inquiry-sessions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```